# Uses of Class
it.tdlight.jni.TdApi.EmojiCategoryType

## Uses of TdApi.EmojiCategoryType in it.tdlight.jni

Subclasses of TdApi.EmojiCategoryType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.EmojiCategoryTypeChatPhoto`
The category must be used for chat photo emoji selection.
`static final class`
`TdApi.EmojiCategoryTypeDefault`
The category must be used by default.
`static final class`
`TdApi.EmojiCategoryTypeEmojiStatus`
The category must be used for emoji status selection.
Fields in it.tdlight.jni declared as TdApi.EmojiCategoryType
Modifier and Type
Field
Description
`TdApi.EmojiCategoryType`
TdApi.GetEmojiCategories.`type`
Type of emoji categories to return; pass null to get default emoji categories.
Constructors in it.tdlight.jni with parameters of type TdApi.EmojiCategoryType
Modifier
Constructor
Description
``
`GetEmojiCategories(TdApi.EmojiCategoryType type)`
Returns available emojis categories.